Subject: Re: bug#19466: 25.0.50; xref-find-def doesn't find C functions

From: Dmitry Gutov <[email-masked]>
Date: Fri, 16 Jan 2015 06:37:46 +0300

On 01/05/2015 06:36 AM, Eli Zaretskii wrote:

> So there's no way of browsing the definition and keeping the list of
> candidates available, except by scrolling the definition from another
> window?  That's indeed surprising.

Right, maybe the quit-window approach would be less surprising overall.

The alternative implementation was pushed to scratch/xref, and it's 
waiting for Martin's comments (bug#19468).

> Why is that insistence on restoring the window configuration useful?
> Emacs users should be already used to the fact that Emacs pops buffers
> in windows all the time, so IMO there's nothing terribly wrong in
> leaving the window configuration changed.

Basically, I want the user to be able to easily return to the window 
configuration that was before xref-find-definitions was called. Or, if 
they picked a definition, make the process of selecting not leave its 
traces on the window configuration.